boost::geometry::resolve_variant::centroid< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Point, Strategy > Struct Template Reference

List of all members.

## Public Member Functions

template<typename Geometry >
void | operator() (Geometry const &geometry) const
| visitor (Point &out, Strategy const &strategy)

## Public Attributes

Point & | m_out
Strategy const & | m_strategy

### template<BOOST_VARIANT_ENUM_PARAMS(typename T)>
template<typename Point, typename Strategy>
struct boost::geometry::resolve_variant::centroid< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Point, Strategy >

## Constructor & Destructor Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename Point , typename Strategy >

boost::geometry::resolve_variant::centroid< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Point, Strategy >::visitor | ( | Point & | out,
|  | Strategy const & | strategy
| ) |  |

## Member Function Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename Point , typename Strategy >
template<typename Geometry >

void boost::geometry::resolve_variant::centroid< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Point, Strategy >::operator() | ( | Geometry const & | geometry | ) | const

## Member Data Documentation

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename Point , typename Strategy >

Point& boost::geometry::resolve_variant::centroid< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Point, Strategy >::m_out

template<BOOST_VARIANT_ENUM_PARAMS(typename T) >
template<typename Point , typename Strategy >

Strategy const& boost::geometry::resolve_variant::centroid< boost::variant< BOOST_VARIANT_ENUM_PARAMS(T)> >::visitor< Point, Strategy >::m_strategy

April 2, 2011 | Copyright © 2007-2011 Barend Gehrels, Amsterdam, the Netherlands Copyright © 2008-2011 Bruno Lalande, Paris, France Copyright © 2009-2010 Mateusz Loskot, London, UK